load wp_coast
[m,n]=size(depth);
area=3.4534e+04;
deep=depth>5;
Final_Deposit_uni=Final_Deposit_uni.*deep;
smooth_deposit=zeros(m,n);
%smooth the deposit by averaging every 5 grids
for i=3:m-2
    for j=3:n-2
        smooth_deposit(i,j)=mean(mean(Final_Deposit_uni(i-2:i+2,j-2:j+2)));
    end
end
%set NAN, make the plot backgound in white
for i=1:m
    for j=1:n
        if depth(i,j)<2|(smooth_deposit(i,j)/(area*530))<.001;
            smooth_deposit(i,j)=NaN;
        end
    end
end
%esitmate the deposit in m
smooth_deposit=smooth_deposit/(area*2650*0.4);%60% water content


figure;
%set default font to times
set(0,'DefaultTextFontName','Times New Roman')
set(0,'DefaultAxesFontName','Times New Roman')
set(0,'DefaultTextFontSize',12)
set(0,'DefaultAxesFontSize',10)

pcolor(rotlon,rotlat,smooth_deposit);
shading interp
hold on;plot(lon,lat,'k','linewidth',2)
hold on;[c, h]=contour(rotlon,rotlat,depth,[20 40 60 80 100 120 140],'k');
%
text(178.3988,-37.7902,'Waiapu','rotation',20,'fontsize',10);
text(178.4053, -37.9395, '20');
text(178.4159, -37.9543, '40');
text(178.4534, -37.9850, '60');
text(178.5322, -38.0249, '80');
text(178.5822, -37.9963, '100');
text(178.6168, -37.9553, '120');
text(178.6457, -37.9195, '140');
xlim([178.35 178.7])
ylim([-38.05 -37.65])
caxis([0 .05]);h=colorbar('ytick',[0:0.01:0.05],'yticklabel',[0:1:5]);%pb210
%caxis([0 .008]);h=colorbar('ytick',[0:0.002:0.008],'yticklabel',[0:0.2:0.8]); %be7
ylabel(h,'Deposit thickness (cm)','fontsize',10)
% xlabel('Longitude (deg)');
% ylabel('Latitude (deg)');
cmap=jet(128);
cmap=cmap(25:end-5,:);
colormap(cmap);

